Subject: Re: [GIT PULL] ARM: support THREAD_INFO_IN_TASK

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 14 Oct 2021 16:47:26 +0100

On Sun, Oct 10, 2021 at 09:50:52AM +0200, Ard Biesheuvel wrote:
> On Mon, 27 Sept 2021 at 17:06, Ard Biesheuvel <[email-masked]> wrote:
> >
> > The following changes since commit 6880fa6c56601bb8ed59df6c30fd390cc5f6dd8f:
> >
> >   Linux 5.15-rc1 (2021-09-12 16:28:37 -0700)
> >
> > are available in the Git repository at:
> >
> >   git://git.kernel.org/pub/scm/linux/kernel/git/ardb/linux.git tags/pr-arm32-ti-in-task
> >
> > for you to fetch changes up to 18ed1c01a7dd3d7c780b06a49124da237a4c1790:
> >
> >   ARM: smp: Enable THREAD_INFO_IN_TASK (2021-09-27 16:54:02 +0200)
> >
> > ----------------------------------------------------------------
> > ARM: support THREAD_INFO_IN_TASK
> >
> > Move thread_info off the stack and into the task struct, as is done by
> > many other architectures. This requires a method to find the task struct
> > of the task currently running on the CPU, which is provided in this case
> > by the user space TLS (Thread Local Storage) register. This implies that
> > the feature is only supported on CPUs that implement this register,
> > i.e., ARM v6k or later.
> >
> > Kindly tested by Amit and reviewed by Linus. The first patch is against
> > the GCC plugins subsystem, but was reviewed by the maintainer and can be
> > taken through the ARM tree.
> >
> > ----------------------------------------------------------------
> >
> 
> Ping?

I haven't forgotten about it, I just haven't really opened my tree for
new material yet... which I need to do this week, if I have time after
catching up.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel